Passer au contenu principal
GET
/
marketing
/
v3
/
campaigns
cURL
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

after
string
limit
integer<int32>
name
string
properties
string[]
sort
string

Réponse

successful operation

results
object[]
requis

Un tableau d'objets PublicCampaign, chacun représentant une campagne avec ses propriétés associées.

total
integer<int32>
requis

Un entier représentant le nombre total de campagnes publiques disponibles.

paging
object
Last modified on June 5, 2026